Download it now!
Bug 100343 - Color Replacer does not show the selected color
Summary: Color Replacer does not show the selected color
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.0.0.0.beta1
Hardware: x86 (IA32) All
: medium minor
Assignee: Katarina Behrens (Inactive)
URL:
Whiteboard: target:5.3.0
Keywords: bibisectRequest, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-06-12 13:53 UTC by Regina Henschel
Modified: 2016-10-25 18:54 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2016-06-12 13:53:14 UTC
Take a Draw document.
Insert any image.
Open Tool > Color Replacer.
Click in first field in column "source color".
Click on the pipette.
Click on the image. The clicked color is shown next to the pipette icon and the first row on section "Colors" gets a check.

Expected behavior: The field next to the check shows the selected color.

Seen behavior: The field remains white.

The behavior has been OK in Version: 5.0.0.0.alpha1+
Build ID: e9fbe1f7cd28de2a9da8089d89e903406165eb56
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-04-25_00:22:55
Locale: de_DE

The behavior is broken at least since Version: 5.1.0.0.alpha1+
Build ID: 8cd2a372e3867f99b397b9ec089d6e1f7efd1088
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-21_10:44:17
Locale: de-DE (de_DE)
Comment 1 Buovjaga 2016-06-12 15:38:38 UTC
I reproduce.

Unfortunately I was not able to complete bisecting due to some builds saying:
./opt/program/soffice: 60: .: Can't open /home/test/bibisect/bibisect-50max/opt/program/ooenv}

It has been broken at least since
Version: 5.0.0.0.alpha1+
Build ID: 4fd045f84acff978bb2ffff1880104c3c6d22f76
Locale: en-US (en_US.UTF-8)

Bisected on Ubuntu 16.04.

Newest tested:
Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: e1ca24369142af3e721e789bf757be671e1905b7
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Built on June 10th 2016
Comment 2 V Stuart Foote 2016-06-12 16:52:48 UTC
From on hand Windows builds, it was good through the 2015-05-10 build and bad as of the 2015-05-15 build... unfortunately I don't have 5.0.0alpaha1 install packages for 11, 12, 13 or 14 May, 2015.

So the closest bisect I can get you is
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=2796bc31e90c87cee10d832a67b1fd9dcab6e51f..9d0c51daea67104349cac26de9839afa8baeb099
Comment 3 V Stuart Foote 2016-06-12 17:09:55 UTC
Two commits to _bmpmask.cxx seem possible causes in that range...

This by Tomaž V. on 2015-05-12
https://cgit.freedesktop.org/libreoffice/core/commit/?id=c7f056ac3ea388270f9739354cb1631328940d53

This by Noel G. on 2015-05-15
https://cgit.freedesktop.org/libreoffice/core/commit/?id=ad0c5e6c663642c1e4b212e4e6a38ebfe8c3e0a7

@Fellas?
Comment 4 Noel Grandin 2016-06-17 14:33:25 UTC
after some false starts, I managed to bisect this down to 
commit 
2fa44119c802c39c4871e77726c01e6ba62a6262 "refactor ValueSet to use RenderContext"
Comment 5 V Stuart Foote 2016-06-17 14:45:45 UTC
(In reply to Noel Grandin from comment #4)
> after some false starts...

Hope it was not my note that put you off track. But looks like the bisect range was at least of some help.
Comment 6 Commit Notification 2016-06-25 15:51:54 UTC
Katarina Behrens committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c924baf95fe47ea642924b3bc47cd81bf4e89d10

tdf#100343: Refresh ValueSets after changing their value

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Katarina Behrens (Inactive) 2016-06-25 20:59:55 UTC
So let's call this fixed, give me a shout if anyone wants a backport to < 5.3